Skip to main content
GET
/
v1
/
charges
/
{id}
cURL
curl --request GET \
  --url https://api.nomod.com/v1/charges/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reference_id": 123,
  "created": "2023-11-07T05:31:56Z",
  "items": [
    {
      "amount": "<string>",
      "name": "<string>",
      "total_amount": "<string>",
      "quantity": 2147483647,
      "product": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sku": "<string>"
    }
  ],
  "currency": "<string>",
  "discount": "<string>",
  "status": "authorised",
  "tip": "<string>",
  "tax": "<string>",
  "total": "<string>",
  "refund_total": "<string>",
  "note": "<string>",
  "payment_method": "cash",
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "events": {
    "created": "2023-11-07T05:31:56Z",
    "type": "authorised",
    "message": "<string>",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  },
  "settlement_currency": "<string>",
  "fee": 123,
  "fx_fee": 123,
  "fee_tax": "<string>",
  "net": 123,
  "network_cost": "<string>",
  "success_url": "<string>",
  "failure_url": "<string>",
  "service_fee": "<string>",
  "discount_percentage": "<string>",
  "service_fee_percentage": "<string>",
  "tip_percentage": "<string>",
  "source": {
    "type": "<string>",
    "token": "<string>",
    "expiry_month": "<string>",
    "expiry_year": "<string>",
    "name": "<string>",
    "scheme": "<string>",
    "scheme_local": "<string>",
    "last4": "<string>",
    "bin": "<string>",
    "card_type": "<string>",
    "card_category": "<string>",
    "issuer": "<string>",
    "issuer_country": "<string>",
    "product_id": "<string>",
    "product_type": "<string>",
    "expires_on": "<string>",
    "card_data": {
      "card_number": "<string>",
      "expiry_month": "<string>",
      "expiry_year": "<string>",
      "security_code": "<string>",
      "card_holder_name": "<string>"
    },
    "card_holder_name": "<string>"
  },
  "custom_fields": [],
  "refunds": [
    {
      "created": "2023-11-07T05:31:56Z",
      "amount": "<string>"
    }
  ],
  "payment_capture_source": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nomod-26.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Your API key. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the app settings

Path Parameters

id
string<uuid>
required

Response

id
string<uuid>
required
read-only
reference_id
integer
required
read-only
created
string<date-time>
required
read-only
items
object[]
required
currency
string
required
discount
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
status
enum<string>
required
  • authorised - Authorised
  • cancelled - Cancelled
  • created - Created
  • disputed - Disputed
  • paid - Paid
  • refunded - Refunded
  • partially_refunded - Partially refunded
  • failed - Failed
Available options:
authorised,
cancelled,
created,
disputed,
paid,
refunded,
partially_refunded,
failed
tip
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
tax
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
total
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
refund_total
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
note
string
required
read-only
payment_method
enum<string>
required
  • cash - cash
  • nomod - nomod
  • tabby - tabby
  • tamara - tamara
Available options:
cash,
nomod,
tabby,
tamara
user
object
required
events
object
required
settlement_currency
string
required
fee
number | null
required
read-only
fx_fee
number | null
required
read-only
fee_tax
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
net
number | null
required
read-only
network_cost
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
success_url
string | null
required
read-only
failure_url
string | null
required
read-only
service_fee
string<decimal> | null
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
discount_percentage
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
service_fee_percentage
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
tip_percentage
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
source
object
custom_fields
object[]
refunds
object[]
payment_capture_source
string